---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::ProgressBarRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1ProgressBarRenderer.html">ProgressBarRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1ProgressBarRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::ProgressBarRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::ProgressBarRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1ProgressBarRenderer.png" usemap="#tgui::ProgressBarRenderer_map" alt=""/>
  <map id="tgui::ProgressBarRenderer_map" name="tgui::ProgressBarRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,162,24"/>
<area href="classtgui_1_1WidgetBorders.html" title="Parent class for every widget that has borders. " alt="tgui::WidgetBorders" shape="rect" coords="172,0,334,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4dde9ae1ed2d79c5eaf3ba53e74de5e0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a4dde9ae1ed2d79c5eaf3ba53e74de5e0">ProgressBarRenderer</a> (<a class="el" href="classtgui_1_1ProgressBar.html">ProgressBar</a> *progressBar)</td></tr>
<tr class="memdesc:a4dde9ae1ed2d79c5eaf3ba53e74de5e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a4dde9ae1ed2d79c5eaf3ba53e74de5e0">More...</a><br /></td></tr>
<tr class="separator:a4dde9ae1ed2d79c5eaf3ba53e74de5e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af82b2e391009cb11e0f7fdaf36204a6e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#af82b2e391009cb11e0f7fdaf36204a6e">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:af82b2e391009cb11e0f7fdaf36204a6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#af82b2e391009cb11e0f7fdaf36204a6e">More...</a><br /></td></tr>
<tr class="separator:af82b2e391009cb11e0f7fdaf36204a6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83d0e4482cc14c8a998edc253eb466b4"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a83d0e4482cc14c8a998edc253eb466b4">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:a83d0e4482cc14c8a998edc253eb466b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a83d0e4482cc14c8a998edc253eb466b4">More...</a><br /></td></tr>
<tr class="separator:a83d0e4482cc14c8a998edc253eb466b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62abeabf0331dff68c7fa3a8d105ed21"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a62abeabf0331dff68c7fa3a8d105ed21">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:a62abeabf0331dff68c7fa3a8d105ed21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#a62abeabf0331dff68c7fa3a8d105ed21">More...</a><br /></td></tr>
<tr class="separator:a62abeabf0331dff68c7fa3a8d105ed21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b0be31ecc62d2c39bec5135a4920783"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a8b0be31ecc62d2c39bec5135a4920783">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:a8b0be31ecc62d2c39bec5135a4920783"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#a8b0be31ecc62d2c39bec5135a4920783">More...</a><br /></td></tr>
<tr class="separator:a8b0be31ecc62d2c39bec5135a4920783"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bf982fd7185dba7466838f99c00efe0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a4bf982fd7185dba7466838f99c00efe0">setTextFont</a> (std::shared_ptr&lt; sf::Font &gt; font)</td></tr>
<tr class="memdesc:a4bf982fd7185dba7466838f99c00efe0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the font of the text.  <a href="#a4bf982fd7185dba7466838f99c00efe0">More...</a><br /></td></tr>
<tr class="separator:a4bf982fd7185dba7466838f99c00efe0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a026a2b32f9809835f49ef4db85ef2444"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a026a2b32f9809835f49ef4db85ef2444">setTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a026a2b32f9809835f49ef4db85ef2444"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text that is optionally displayed on top of the progress bar.  <a href="#a026a2b32f9809835f49ef4db85ef2444">More...</a><br /></td></tr>
<tr class="separator:a026a2b32f9809835f49ef4db85ef2444"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8a13635c511661977c855b48971b976"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#aa8a13635c511661977c855b48971b976">setTextColorBack</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:aa8a13635c511661977c855b48971b976"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text that is optionally displayed on top of the progress bar.  <a href="#aa8a13635c511661977c855b48971b976">More...</a><br /></td></tr>
<tr class="separator:aa8a13635c511661977c855b48971b976"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f9e9e2f72ffe410627680e15b4de750"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a3f9e9e2f72ffe410627680e15b4de750">setTextColorFront</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a3f9e9e2f72ffe410627680e15b4de750"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the text that is optionally displayed on top of the progress bar.  <a href="#a3f9e9e2f72ffe410627680e15b4de750">More...</a><br /></td></tr>
<tr class="separator:a3f9e9e2f72ffe410627680e15b4de750"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacc124b120b6fff930e7865997c60a5a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#aacc124b120b6fff930e7865997c60a5a">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:aacc124b120b6fff930e7865997c60a5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color of the progress bar.  <a href="#aacc124b120b6fff930e7865997c60a5a">More...</a><br /></td></tr>
<tr class="separator:aacc124b120b6fff930e7865997c60a5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1edfa6c3d1aad5c55267761858728d9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a1edfa6c3d1aad5c55267761858728d9a">setForegroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a1edfa6c3d1aad5c55267761858728d9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the foreground color of the progress bar.  <a href="#a1edfa6c3d1aad5c55267761858728d9a">More...</a><br /></td></tr>
<tr class="separator:a1edfa6c3d1aad5c55267761858728d9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a000502ac54c043bc70fbbe25bce4075a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a000502ac54c043bc70fbbe25bce4075a">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a000502ac54c043bc70fbbe25bce4075a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the border color.  <a href="#a000502ac54c043bc70fbbe25bce4075a">More...</a><br /></td></tr>
<tr class="separator:a000502ac54c043bc70fbbe25bce4075a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85528c9b915626b881b1cae4c7983594"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a85528c9b915626b881b1cae4c7983594">setBackTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a85528c9b915626b881b1cae4c7983594"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the background image of the progress bar.  <a href="#a85528c9b915626b881b1cae4c7983594">More...</a><br /></td></tr>
<tr class="separator:a85528c9b915626b881b1cae4c7983594"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4015731095d74b03a32bc048d7315994"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1ProgressBarRenderer.html#a4015731095d74b03a32bc048d7315994">setFrontTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a4015731095d74b03a32bc048d7315994"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the foreground image of the progress bar.  <a href="#a4015731095d74b03a32bc048d7315994">More...</a><br /></td></tr>
<tr class="separator:a4015731095d74b03a32bc048d7315994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetBorders"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetBorders')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td></tr>
<tr class="memitem:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders)</td></tr>
<tr class="memdesc:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a75128d6d549e479c4b455afc77a75f9e">More...</a><br /></td></tr>
<tr class="separator:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a> (float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td></tr>
<tr class="memdesc:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a19f9c75a3091e3812a1ed997e4b33260">More...</a><br /></td></tr>
<tr class="separator:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a> (float width, float height)</td></tr>
<tr class="memdesc:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ab1a3bd4fee10eb2dcab6bce06efcea45">More...</a><br /></td></tr>
<tr class="separator:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Borders</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a> () const </td></tr>
<tr class="memdesc:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the borders as a <a class="el" href="classtgui_1_1Borders.html">tgui::Borders</a>.  <a href="#a6c42822ce84bce93ff85ef8c9e53bdac">More...</a><br /></td></tr>
<tr class="separator:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4dde9ae1ed2d79c5eaf3ba53e74de5e0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::ProgressBarRenderer::ProgressBarRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ProgressBar.html">ProgressBar</a> *&#160;</td>
          <td class="paramname"><em>progressBar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">progressBar</td><td>The progress bar that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a62abeabf0331dff68c7fa3a8d105ed21"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::ProgressBarRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a8b0be31ecc62d2c39bec5135a4920783"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::ProgressBarRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aacc124b120b6fff930e7865997c60a5a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ProgressBarRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color of the progress bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new background color</td></tr>
  </table>
  </dd>
</dl>
<p>This is the color that you see in the part of the progress bar that is not filled.</p>
<p>Note that this color is ignored when you set an image as background. </p>

</div>
</div>
<a class="anchor" id="a85528c9b915626b881b1cae4c7983594"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ProgressBarRenderer::setBackTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the background image of the progress bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new background texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the front image are set, the background and foreground color properties will be ignored. Pass an empty string to unset the image, in this case the color properties will be used again. </p>

</div>
</div>
<a class="anchor" id="a000502ac54c043bc70fbbe25bce4075a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ProgressBarRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the border color. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The color that is used for the borders that are optionally drawn around the progress bar </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1edfa6c3d1aad5c55267761858728d9a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ProgressBarRenderer::setForegroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the foreground color of the progress bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new foreground color</td></tr>
  </table>
  </dd>
</dl>
<p>This is the color that is used to fill the progress bar and is drawn on top of the background color.</p>
<p>Note that this color is ignored when you set an image as foreground. </p>

</div>
</div>
<a class="anchor" id="a4015731095d74b03a32bc048d7315994"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ProgressBarRenderer::setFrontTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the foreground image of the progress bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new foreground texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the back image are set, the background and foreground color properties will be ignored. Pass an empty string to unset the image, in this case the color properties will be used again. </p>

</div>
</div>
<a class="anchor" id="af82b2e391009cb11e0f7fdaf36204a6e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ProgressBarRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a83d0e4482cc14c8a998edc253eb466b4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::ProgressBarRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a026a2b32f9809835f49ef4db85ef2444"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ProgressBarRenderer::setTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text that is optionally displayed on top of the progress bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new text color</td></tr>
  </table>
  </dd>
</dl>
<p>This changes both the back and front text colors.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1ProgressBarRenderer.html#aa8a13635c511661977c855b48971b976" title="Changes the color of the text that is optionally displayed on top of the progress bar...">setTextColorBack</a> </dd>
<dd>
<a class="el" href="classtgui_1_1ProgressBarRenderer.html#a3f9e9e2f72ffe410627680e15b4de750" title="Changes the color of the text that is optionally displayed on top of the progress bar...">setTextColorFront</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aa8a13635c511661977c855b48971b976"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ProgressBarRenderer::setTextColorBack </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text that is optionally displayed on top of the progress bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new text color that is displayed on top of the background color/image.</td></tr>
  </table>
  </dd>
</dl>
<p>This color is displayed on top of the unfilled part. The front text color will be used on top of the filled part. </p>

</div>
</div>
<a class="anchor" id="a3f9e9e2f72ffe410627680e15b4de750"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ProgressBarRenderer::setTextColorFront </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the text that is optionally displayed on top of the progress bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>The new text color that is displayed on top of the foreground color/image.</td></tr>
  </table>
  </dd>
</dl>
<p>This color is displayed on top of the filled part. The back text color will be used on top of the unfilled part. </p>

</div>
</div>
<a class="anchor" id="a4bf982fd7185dba7466838f99c00efe0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::ProgressBarRenderer::setTextFont </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; sf::Font &gt;&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the font of the text. </p>
<p>When you don't call this function then the global font will be use. This global font can be changed with the setGlobalFont function from the parent.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">font</td><td>The new font </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="ProgressBar_8hpp_source.html">ProgressBar.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:44 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
